import axios from 'axios';

describe('GET /api/openapi.json', () => {
	it('is http 200', async () => {
		const res = await axios.get('http://localhost:4010/api/openapi.json');
		expect(res.status).toEqual(200);
	});
});
describe('GET /', () => {
	it('is http 404', async () => {
		const res = await axios.get('http://localhost:4010/', { validateStatus: undefined });
		expect(res.status).toEqual(404);
	});
});
describe('GET /api/teams', () => {
	it('is http 200 && is json', async () => {
		const res = await axios.get('http://localhost:4010/api/teams', { validateStatus: undefined });
		console.log(res.headers);
		expect(res.status).toEqual(200);
		expect(res.headers['content-type']).toContain("application/json")
	});
});
